@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@700&display=swap');

body, html {
  height: 100%;
  margin: 0;
  font-family: 'Comfortaa', cursive;
  color: #777;
}

.bgimg-1, .bgimg-2, .bgimg-3, .bgimg-4, .bgimg-5, .bgimg-6, .bgimg-7, .bgimg-8, .bgimg-9, .bgimg-10, .bgimg-11, .bgimg-12, .bgimg-13 {
  position: relative;
  opacity: 0.65;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

}

@media only screen and (max-device-width: 1366px) {
 .bgimg-1, .bgimg-2, .bgimg-3, .bgimg-4, .bgimg-5, .bgimg-6, .bgimg-7, .bgimg-8, .bgimg-9, .bgimg-10, .bgimg-11, .bgimg-12, .bgimg-13  {
    background-attachment: scroll;
  }
}


.bgimg-1 {
  background-image: url("../img/img/1.jpg");
  min-height: 100%;
}

.bgimg-2 {
  background-image: url("../img/img/2.jpg");
  min-height: 400px;
}

.bgimg-3 {
  background-image: url("../img/img/4.png");
  min-height: 400px;
}
.bgimg-4 {
  background-image: url("../img/img/5.png");
  min-height: 400px;
}

.bgimg-6 {
  background-image: url("../img/img/6.jpg");
  min-height: 100%;
}

.bgimg-7 {
  background-image: url("../img/img/7.jpg");
  min-height: 100%;
}

.bgimg-8 {
  background-image: url("../img/img/8.jpg");
  min-height: 100%;
}

.bgimg-9 {
  background-image: url("../img/img/9.jpg");
  min-height: 400px;
}

.bgimg-10 {
  background-image: url("../img/item_pic/french-toast.jpeg");
  min-height: 400px;
}

.bgimg-11 {
  background-image: url("../img/item_pic/salmone.jpeg");
  min-height: 400px;
}
.bgimg-12{
  background-image: url("../img/item_pic/pancake.jpeg");
  min-height: 400px;
}

.bgimg-13{
  background-image: url("../img/item_pic/uova-strapazzate.jpeg");
  min-height: 400px;
}

.caption {
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  text-align: center;
  color: #000;
  line-height:2.8;

}

.caption span.black {
  background-color: #111111d1;
  color: #fff;
  padding: 18px;
  font-size: 25px;
  letter-spacing: 5px;
}

h3 {
  letter-spacing: 5px;
  text-transform: uppercase;
  font: 20px "Lato", sans-serif;
  color: #111;
}


.login{text-align:center;}

.login::-webkit-input-placeholder {
text-align: center;
}
.login:-moz-placeholder { /* Firefox 18- */
text-align: center;  
}
.login::-moz-placeholder {  /* Firefox 19+ */
text-align: center;  
}
.login:-ms-input-placeholder {  
text-align: center; 
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: rgb(220, 53, 69) !important;
}

.nav-item{
    min-width:fit-content;
}

.nav-item a{
    color:#777;
}
.modal-header .close {
    padding: 1.5rem;
    margin: -1rem -1rem -1rem auto;
}

.modal-header{
    border-bottom: 0px solid #dee2e6!important;
}

.confirm-btn{
    background-color:rgb(220, 53, 69) !important;
    border-color: transparent;
    color:white!important;
}
.confirm-btn:hover{
    background-color:rgb(220, 53, 69) !important;  
    border-color: transparent;
}

.card-img-top{
    width:60%;
    margin:auto;
}

.cart-container{
    background: #484848;
    border-radius: 1rem;
    color: white;
    padding: 15px;
    margin-top:5px;
}

.cart-remove{
    font-size: 1.4rem;
    padding: 1rem;
    margin: -1rem -1rem -1rem auto;
}

.cart-section{
    display: flex;
    margin-top: 5px;
}

.cart-price{
    padding: 1rem;
    margin: -1rem -1rem -1rem auto;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 24px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.first-row-item{
    display:inline-flex;
}

.item-name{
    width:58%;
    margin:1%;
}
.item-price{
    width:38%;
    margin:1%;
}
.item-img{
    width:99%;
    margin:0.5%;
}

@media (min-width: 576px){
.two-col {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
    -webkit-column-gap: 1.25rem;
    -moz-column-gap: 1.25rem;
    column-gap: 1.25rem;
    orphans: 1;
    widows: 1;
}
    
.img-edo{
    display:none;
}
    
.for-edo{
    width:150%!important;
    margin-left:-130px!important;
}
}

.number-spinner{
    width:20%;
    margin:auto;
    margin-bottom:20px;
}

.where{
    display:inline-flex;
}
.map{
    width:50%;
}

.contact{
    height: 80%;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 576px){
    .contact{
        height:auto;
    }
    .number-spinner{
        width:50%;
        margin:auto;
        margin-bottom:20px;
    }
    .where{
    display:block;
    }
    .map{
        width:100%;
    }
    .first-row-item{
        display:block;
    }
    .item-name{
        width:100%;
        margin:5px;
    }
    .item-price{
        width:100%;
        margin:5px;
    }
    .item-img{
        width:99%;
        margin:2%;
    }
    .item-category{
        width:99%;
        margin:2%;
    }
    .item-desc{
        width:99%;
        margin:2%;
    }
    
}


/*
 * SlotMachine
 */
#randomize {
  border-bottom: 10px solid rgb(72, 158, 48);
  background-color: #EB6B56;
  border-top: 20px dashed #B8312F;
}

#randomize .row > div.col-sm-4 > div {
  padding: 40px;
  width: 180px;
  height: 180px;
  background: white;
  border-radius: 50%;
  margin-left: auto;
  margin-right: auto;
  display: block;
  text-align: center;
}

#randomize .row > div.col-xs-4 > div {
  padding-top: 40px;
  padding-left: 40px;
  width: 175px;
  height: 175px;
  background-color: #fff;
  border-radius: 50%;
  margin: auto;
}

.randomizeMachine {
  width: 100px;
  height: 100px;
}

#randomize .btn-group {
  margin-top: 30px;
  width: auto;
  margin-bottom: 15px;
}

.machineResult {
  color: #fff;
  text-align: center;
  font-weight: 900;
  height: 50px !important;
  background: transparent !important;
  font-size: 18px;
  padding: 10px !important;
}

/*
 * Watch
 */
#watch {
  border-top: 20px dashed rgb(72, 158, 48);
  border-bottom: 10px solid #195AC8;
  background-color: #46D265;
}

#watch h1 {
  margin: 0px;
}

#watch .small {
  text-align: center;
  background: url('../img/watch.png') no-repeat 50% 50%;
  height: 300px;
}

#watch1 {
  margin-left: calc(50% - 42px);
  transform: translateY(115px);
  width: 80px;
  height: 80px;
}

#watch1 .slotMachineContainer > div {
  color: #fff;
  height: 80px;
  width: 80px;
  font-size: 64px;
}

#watch .btn-group .btn {
  border: none;
  background-color: rgb(72, 158, 48);
}

#watch .btn-group .btn:hover, .btn-group .btn:focus {
  background-color: rgb(72, 158, 48);
}

/*
 * Triky
 */
 #triky {
   background: url(../img/triky.jpg) no-repeat right 130px;
   background-color: #0F99CA;
   border-bottom: 10px solid rgb(180, 75, 119);
   border-top: 20px dashed #195AC8;
   background-position-x: calc(100% + 40px)
 }

#triky1 {
  background-color: #fff;
  width: 155px;
  height: 155px;
  border-radius: 50%;
  padding-top: 4px;
}

/*
 * Casino
 */
#casino {
  border-top: 20px dashed rgb(180, 75, 119);
  border-bottom: 10px solid #A48E4E;
  background-color: rgb(240, 150, 150);
}

#casino .content:nth-child(1) {
  text-align: center;
  background: url('../img/machine.png') no-repeat 50% 80px;
  background-position-x: calc(50% + 30px);
  min-height: 580px;
}

#casino .content > div {
  padding-top: 165px;
  width: 300px;
  margin: 0 auto;
  transform: translateX(30px);
}

.machineContainer{
  padding: 5px 1px 5px 1px;
  height: 135px;
}

.slotMachine{
  width: 36.333333%;
  border: 5px solid #CF5178;
  height: 100px;
  display: inline-block;
}

#casino .btn-group {
  margin-top: 150px;
  transform: translateX(-25px);
}

#casino .btn-group .btn {
  border: none;
  background-color: rgb(209, 79, 119);
}

#casino .btn-group .btn:hover, .btn-group .btn:focus {
  background-color: rgb(180, 75, 119);
}



#textMachine {
  width:520px;
  height: 67px;
  overflow: hidden;
  display: inline-block;
  text-align: left;
}



.slotMachineNoTransition {
    transition: none !important;
}

.slotMachineBlurFast {
    filter: blur(5px);
}

.slotMachineBlurMedium {
    filter: blur(3px);
}

.slotMachineBlurSlow {
    filter: blur(2px);
}

.slotMachineBlurTurtle {
    filter: blur(1px);
}


.slotMachineGradient {
    -webkit-mask-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(0,0,0,0)), color-stop(25%, rgba(0,0,0,1)), color-stop(75%, rgba(0,0,0,1)), color-stop(100%, rgba(0,0,0,0)) );
    mask: url("data:image/svg+xml;utf8,<svg version="1.1" xmlns="http:// www.w3.org/2000/svg" width="0" height="0"><mask id="slotMachineFadeMask" maskUnits="objectBoundingBox" maskContentUnits="objectBoundingBox"><linearGradient id="slotMachineFadeGradient" gradientUnits="objectBoundingBox" x="0" y="0"><stop stop-color="white" stop-opacity="0" offset="0"></stop><stop stop-color="white" stop-opacity="1" offset="0.25"></stop><stop stop-color="white" stop-opacity="1" offset="0.75"></stop><stop stop-color="white" stop-opacity="0" offset="1"></stop></linearGradient><rect x="0" y="-1" width="1" height="1" transform="rotate(90)" fill="url(#slotMachineFadeMask)"></rect></mask></svg>#slotMachineFadeMask");
}


.lightboxRoot {
    position: fixed;
    width: 100%;
    height: 100%;
    }
    
.lightboxImg {

    max-width: 90%;
    max-height: 90%;
    overflow: auto;
    transform: translate(-50%, -50%);
    }
    
.ghost-button {
      color: #000000!important;
    /* background: #fff; */
    border: 2px solid #000000;
    font-size: 17px;
    padding: 7px 12px;
    font-weight: bold;
    margin: 6px 0;
    margin-right: 12px;
    display: inline-block;
    text-decoration: none;
    font-family: 'Open Sans', sans-serif;
    min-width: 120px;
}

.ghost-button:hover, .ghost-button:active {
color: #fff!important;
    border: 2px solid #fff;
    background: #0000006b;
}
